Regression: Installing Landscape from chroot hangs (on install iso)

Bug #1699789 reported by Mateusz Pawlowski on 2017-06-22
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Landscape Client
Undecided
Simon Poirier
landscape-client (Ubuntu)
Critical
Andreas Hasenack
Trusty
Critical
Andreas Hasenack
Xenial
Critical
Andreas Hasenack
Zesty
Critical
Andreas Hasenack
Artful
Critical
Andreas Hasenack

Bug Description

[Impact]

Handle SystemExit exception, as those don't propagate past the reactor.

It is hanging forever in environments (installer-chroot) where the broker will not start.

[Test Case]

To test:

sudo rm /etc/init.d/landscape-client
sudo ln -s /bin/echo /etc/init.d/landscape-client
sudo time landscape-config -a someaccount -t sometitle --silent

Script should timeout and not run forever. The time it takes to timeout unfortunately varies a lot, but is usually between 1 and 3 minutes.

[Regression Potential]

The change restores the same logic which was used before this regression, which should be safe.

As the code change is only used for initialization of the service after calling the configuration tool, regression in this area would force the
admin to restart the landscape-client service manually after calling landscape-config if that tool is used.

[Other Info]

* GitHub PR :
https://github.com/CanonicalLtd/landscape-client/pull/13

* Upstream commit :
https://github.com/CanonicalLtd/landscape-client/commit/e0b1b0ca43c13bc65374df13d192405abb3014e6

--- Original description ---

Ubuntu Xenial installer (ubuntu-16.04.2-server-amd64.iso) doesn't offer option to provide http/https proxy to be used by Landscape client when selecting "Manage system with Landscape" on upgrades management tasksel question.

Therefore if system is placed behind proxy it will not be able to communicate with landscapce server.

During system installation installer is asking user to provide proxy that is used by APT. It would be suitable that same proxy would be used for landscape.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in debian-installer (Ubuntu):
status: New → Confirmed

It should be noted that the debian installer (or rather landscape-config) waits indefinitely if it doesn't manage to get a connection to the landscape server. A non-export users won't know why the installer stops doing anything.

At the very least, landscape-config (or the process calling it) should timeout with an appropriate error message after a few minutes, and the install dialog should display a warning message in the dialogue where the update strategy is displayed saying that the landscape option might not work behind a firewall (until the issue is properly fixed).

Changed in debian-installer (Ubuntu):
importance: Undecided → Medium
Simon Poirier (simpoir) wrote :

it's not quite a proxy issue. The services shouldn't start under the installer chroot, so the configure hook should stop instead of pending forever for the landscape-client service to start.

Changed in landscape-client (Ubuntu):
status: New → In Progress
affects: landscape-client (Ubuntu) → landscape-client
Simon Poirier (simpoir) on 2017-09-11
Changed in landscape-client:
status: In Progress → Fix Committed
assignee: nobody → Simon Poirier (simpoir)
description: updated
Changed in landscape-client (Ubuntu):
assignee: nobody → Andreas Hasenack (ahasenack)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu4

---------------
landscape-client (16.03-0ubuntu4) bionic; urgency=medium

  [ Simon Poirier]
  * Update landscape-client with upstream fixes (LP: #1721383):
    - Add proxy handling to package reporter. (LP: #1531150)
    - Fix regression in configuration hook under install-cd chroot (LP: #1699789)
    - Report autoremovable packages (LP: #1208393)
    - Do not re-register client by default (LP: #1618483)
    - Remove diff "noise" from d/p/ignore-backports-1668583.diff

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 12:26:23 -0200

Changed in landscape-client (Ubuntu):
status: In Progress → Fix Released
Eric Desrochers (slashd) on 2017-11-23
description: updated
description: updated
Eric Desrochers (slashd) on 2017-11-23
description: updated
description: updated
Eric Desrochers (slashd) on 2017-11-24
description: updated
Simon Poirier (simpoir) on 2017-11-24
summary: - Ubuntu server installer misses http/s proxy settings for Landscape
+ Regression: Installing Landscape from chroot hangs (on install iso)
Simon Poirier (simpoir) on 2017-11-24
description: updated
Simon Poirier (simpoir) on 2017-11-24
description: updated
description: updated
description: updated
Changed in landscape-client (Ubuntu Trusty):
assignee: nobody → Andreas Hasenack (ahasenack)
Changed in landscape-client (Ubuntu Xenial):
assignee: nobody → Andreas Hasenack (ahasenack)
Changed in landscape-client (Ubuntu Zesty):
assignee: nobody → Andreas Hasenack (ahasenack)
Changed in landscape-client (Ubuntu Artful):
assignee: nobody → Andreas Hasenack (ahasenack)
Changed in landscape-client (Ubuntu Trusty):
status: New → In Progress
Changed in landscape-client (Ubuntu Xenial):
status: New → In Progress
Changed in landscape-client (Ubuntu Zesty):
status: New → In Progress
Changed in landscape-client (Ubuntu Artful):
status: New → In Progress

Hello Mateusz, or anyone else affected,

Accepted landscape-client into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/16.03-0ubuntu3.17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in landscape-client (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Łukasz Zemczak (sil2100) wrote :

Hello Mateusz, or anyone else affected,

Accepted landscape-client into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/16.03-0ubuntu3.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in landscape-client (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed-zesty
Łukasz Zemczak (sil2100) wrote :

Hello Mateusz, or anyone else affected,

Accepted landscape-client into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/16.03-0ubuntu2.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in landscape-client (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Mateusz, or anyone else affected,

Accepted landscape-client into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/14.12-0ubuntu6.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in landscape-client (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed-trusty
Mateusz Pawlowski (teluka) wrote :

- I tested new landscape-client on artful, zesty, xenial, trusty netboot and it works properly.
- Installer times out instead of entering infinite loop therefore user may continue installation.

David Coronel (davecore) wrote :

I tested upgrading the new landscape-client on artful, zesty, xenial and trusty from the current most recent landscape-client version currently available in each release. I didn't test this particular fix but I confirm the package upgrade works fine and the client runs fine afterwards.

tags: added: regression-update
Changed in landscape-client (Ubuntu):
importance: Undecided → Critical
Changed in landscape-client (Ubuntu Trusty):
importance: Undecided → Critical
Changed in landscape-client (Ubuntu Xenial):
importance: Undecided → Critical
Changed in landscape-client (Ubuntu Zesty):
importance: Undecided → Critical
Changed in landscape-client (Ubuntu Artful):
importance: Undecided → Critical
Eric Desrochers (slashd) on 2017-12-04
tags: added: verification-done-artful verification-done-trusty verification-done-xenial verification-done-zesty
removed: verification-needed-artful verification-needed-trusty verification-needed-xenial verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu3.17.10.1

---------------
landscape-client (16.03-0ubuntu3.17.10.1) artful; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 15:44:17 -0200

Changed in landscape-client (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for landscape-client has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu3.17.04.1

---------------
landscape-client (16.03-0ubuntu3.17.04.1) zesty; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 16:06:54 -0200

Changed in landscape-client (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu2.16.04.2

---------------
landscape-client (16.03-0ubuntu2.16.04.2) xenial; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 16:09:30 -0200

Changed in landscape-client (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 14.12-0ubuntu6.14.04.1

---------------
landscape-client (14.12-0ubuntu6.14.04.1) trusty; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 16:21:54 -0200

Changed in landscape-client (Ubuntu Trusty):
status: Fix Committed → Fix Released
Mathew Hodson (mathew-hodson) wrote :

Does debian-installer need a fix as well?

tags: removed: verification-needed
no longer affects: debian-installer (Ubuntu)
no longer affects: debian-installer (Ubuntu Artful)
no longer affects: debian-installer (Ubuntu Zesty)
no longer affects: debian-installer (Ubuntu Xenial)
no longer affects: debian-installer (Ubuntu Trusty)
Mathew Hodson (mathew-hodson) wrote :
Changed in landscape-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers